%global         momorel 1

Name:           perl-SVG
Version:        2.64
Release:        %{momorel}m%{?dist}
Summary:        Perl extension for generating Scalable Vector Graphics (SVG) documents
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVG/
Source0:        http://www.cpan.org/authors/id/S/SZ/SZABGAB/SVG-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-List-Util
Requires:       perl-List-Util
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
SVG is a 100% Perl module which generates a nested data structure
containing the DOM representation of an SVG (Scalable Vector Graphics)
image. Using SVG, you can generate SVG objects, embed other SVG instances
into it, access the DOM object, create and access javascript, and generate
SMIL animation content.

%prep
%setup -q -n SVG-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/SVG
%{perl_vendorlib}/SVG.pm
%{_mandir}/man3/*

%changelog
* Fri Jan 20 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (2.64-1m)
- update 2.64

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.59-5m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.59-4m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.59-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.59-2m)
- rebuild against perl-5.18.0

* Sun Mar 31 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.59-1m)
- update to 2.59

* Sun Mar 31 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.58-1m)
- update to 2.58

* Sun Mar 31 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.57-1m)
- update to 2.57

* Sat Mar 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.56-1m)
- update to 2.56

* Sat Mar 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-1m)
- update to 2.55

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.54-2m)
- rebuild against perl-5.16.3

* Sat Feb 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.54-1m)
- update to 2.54

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-2m)
- rebuild against perl-5.16.2

* Sun Oct  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-1m)
- update to 2.53

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.52-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.52-1m)
- update to 2.52
- rebuild against perl-5.16.0

* Fri Mar 30 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.51-1m)
- update to 2.51

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-10m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-9m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-8m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.50-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.50-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.50-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-2m)
- rebuild against perl-5.12.0

* Thu Apr 08 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-1m)
- update to 2.50
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.49-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-2m)
- rebuild against perl-5.10.1

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-1m)
- update to 2.49

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.48-2m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.48-1m)
- update to 2.48

* Thu Dec 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.47-1m)
- update to 2.47

* Wed Dec 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.45-1m)
- update to 2.45

* Tue Apr 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-1m)
- update to 2.44

* Sat Apr 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-1m)
- update to 2.42

* Tue Apr 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.37-2m)
- rebuild against gcc43

* Tue Mar  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-1m)
- update to 2.37

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34-1m)
- update to 2.34

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.33-3m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.33-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.33-1m)
- version up to 2.33
- built against perl-5.8.7

* Mon May 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.32-1m)
- spec file was autogenerated

